import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Paragraph, TextLink, Note, Flex } from '@contentful/f36-components';
const LocalHostWarning = () => {
    return (_jsx(Flex, { marginTop: "spacingXl", justifyContent: "center", children: _jsxs(Note, { title: "App running outside of Contentful", style: { maxWidth: '800px' }, children: [_jsxs(Paragraph, { children: ["Contentful Apps need to run inside the Contentful web app to function properly. Install the app into a space and render your app into one of the", ' ', _jsx(TextLink, { href: "https://www.contentful.com/developers/docs/extensibility/ui-extensions/sdk-reference/#locations", children: "available locations" }), "."] }), _jsx("br", {}), _jsxs(Paragraph, { children: ["Follow", ' ', _jsx(TextLink, { href: "https://www.contentful.com/developers/docs/extensibility/app-framework/tutorial/#embed-your-app-in-the-contentful-web-app", children: "our guide" }), ' ', "to get started or", ' ', _jsx(TextLink, { href: "https://app.contentful.com/deeplink?link=apps", children: "open Contentful" }), ' ', "to manage your app."] })] }) }));
};
export default LocalHostWarning;
//# sourceMappingURL=LocalHostWarning.js.map